<?php /** @var $toggles array */ ?>
<div id="text-analytics">
    <h1>Text analytics</h1>
    <p>To enable/disable all hover/onclick events disable <b>Values.</b></p>
    <p>Effects are in pairs: <b>Weak verb ratio</b>(percantage) - <b>Weak verbs</b>(highlight effect).</p>
    <form method="post" action="options.php" id="text-analytics-form">
        <?php settings_fields( 'text-analytics' ) ?>
        <?php do_settings_sections('text-analytics'); ?>

        <table class="text-analytics-toggles">
            <tbody>
            <?php foreach($toggles as $index => $key): ?>
                <?php if ($index % 4 === 0): ?>
                <tr>
                <?php endif; ?>
                    <th>
                        <?= ucfirst(str_replace('_', ' ', $key)) ?>
                    </th>
                    <th>
                        <input id="<?= $id = uniqid('checkbox_', false) ?>" type="hidden" name="<?= $key ?>" value="<?= $value = esc_attr(get_option($key)); ?>">
                        <input type="checkbox" name="" data-target="<?= $id ?>" class="text-analytics-non-retarded-checkbox" <?= $value === 'true' ? 'checked' : ''?>>
                    </th>
                <?php if ($index % 4 === 3): ?>
                    <tr>
                <?php endif; ?>
                <?php endforeach; ?>
            </tbody>
        </table>

        <p class="loading hidden">
            Saving...
        </p>

        <script>
            let checkboxes = Array.from(document.getElementsByClassName('text-analytics-non-retarded-checkbox'));

            checkboxes.forEach(checkbox => {
                checkbox.addEventListener('change', function () {
                    let target = document.getElementById(this.getAttribute('data-target'));
                    target.setAttribute('value', this.checked ? 'true' : 'false');
                });
            });

            document.getElementById('text-analytics-form')
                .addEventListener('submit', function () {

                    document.querySelector('.text-analytics-toggles').classList.add('hidden');
                    document.querySelector('.loading').classList.remove('hidden');

                    Array.from(this.querySelectorAll('.text-analytics-non-retarded-checkbox'))
                        .forEach(checkbox => checkbox.remove());
                })
        </script>

        <?php submit_button(); ?>
    </form>
</div>